# OpalRFC4175Encoder Class Reference

`#include <rfc4175.h>`

Inheritance diagram for OpalRFC4175Encoder:

List of all members.

## Public Member Functions

| OpalRFC4175Encoder (const OpalMediaFormat &inputMediaFormat, const OpalMediaFormat &outputMediaFormat)
PBoolean | ConvertFrames (const RTP_DataFrame &input, RTP_DataFrameList &output)

## Protected Member Functions

virtual void | StartEncoding (const RTP_DataFrame &input)
virtual void | EndEncoding ()=0
void | EncodeFullFrame ()
void | EncodeScanLineSegment (PINDEX y, PINDEX offs, PINDEX width)
void | AddNewDstFrame ()
void | FinishOutputFrame ()

## Protected Attributes

DWORD | extendedSequenceNumber
PINDEX | maximumPacketSize
unsigned | frameHeight
unsigned | frameWidth
DWORD | srcTimestamp
RTP_DataFrameList * | dstFrames
std::vector< PINDEX > | dstScanlineCounts
PINDEX | dstScanLineCount
PINDEX | dstPacketSize
ScanLineHeader * | dstScanLineTable

## Constructor & Destructor Documentation

OpalRFC4175Encoder::OpalRFC4175Encoder | ( | const OpalMediaFormat & | inputMediaFormat,
|  | const OpalMediaFormat & | outputMediaFormat |
| ) |  |  |

Parameters:

  inputMediaFormat | Input media format
  outputMediaFormat | Output media format

## Member Function Documentation

PBoolean OpalRFC4175Encoder::ConvertFrames | ( | const RTP_DataFrame & | input,
|  | RTP_DataFrameList & | output |
| ) |  |  |

virtual void OpalRFC4175Encoder::StartEncoding | ( | const RTP_DataFrame & | input | ) | `[protected, virtual]`

Reimplemented in Opal_YUV420P_to_RFC4175YCbCr420, and Opal_RGB24_to_RFC4175RGB.

virtual void OpalRFC4175Encoder::EndEncoding | ( |  | ) | `[protected, pure virtual]`

Implemented in Opal_YUV420P_to_RFC4175YCbCr420, and Opal_RGB24_to_RFC4175RGB.

void OpalRFC4175Encoder::EncodeFullFrame | ( |  | ) | `[protected]`

void OpalRFC4175Encoder::EncodeScanLineSegment | ( | PINDEX | y,
|  | PINDEX | offs,
|  | PINDEX | width |
| ) |  |  | `[protected]`

void OpalRFC4175Encoder::AddNewDstFrame | ( |  | ) | `[protected]`

void OpalRFC4175Encoder::FinishOutputFrame | ( |  | ) | `[protected]`

## Member Data Documentation

DWORD OpalRFC4175Encoder::extendedSequenceNumber `[protected]`

PINDEX OpalRFC4175Encoder::maximumPacketSize `[protected]`

unsigned OpalRFC4175Encoder::frameHeight `[protected]`

unsigned OpalRFC4175Encoder::frameWidth `[protected]`

DWORD OpalRFC4175Encoder::srcTimestamp `[protected]`

RTP_DataFrameList* OpalRFC4175Encoder::dstFrames `[protected]`

std::vector<PINDEX> OpalRFC4175Encoder::dstScanlineCounts `[protected]`

PINDEX OpalRFC4175Encoder::dstScanLineCount `[protected]`

PINDEX OpalRFC4175Encoder::dstPacketSize `[protected]`

ScanLineHeader* OpalRFC4175Encoder::dstScanLineTable `[protected]`

The documentation for this class was generated from the following file:

- rfc4175.h